Bug 7459 - ppp-2.4.2-alt2 + CBCP don`t work
: ppp-2.4.2-alt2 + CBCP don`t work
Status: CLOSED WONTFIX
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/ppp)
: 2.4
: all Linux
: P2 normal
Assigned To:
:
:
:
: 11110
:
  Show dependency tree
 
Reported: 2005-07-25 15:45 by
Modified: 2007-12-08 20:24 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-25 15:45:40
Связка PPP-2.4.2-alt2(-alt6) + CBCP (CallBack) нормально отрабатывает только 
на ядре 2.4.26-alt6.
На ядрах с updates: 2.4.26-alt9, -alt11, alt12 - callback не работает. При 
этом в логах pppd пишет следующее:

Jul 21 14:18:20 gate syslogd 1.4.1: restart.
Jul 21 14:18:20 gate syslogd: syslogd startup succeeded
Jul 21 14:18:20 gate syslogd: syslogd shutdown succeeded
Jul 21 14:18:52 gate pppd[1973]: pppd 2.4.2 started by a_ppp, uid 0
Jul 21 14:18:52 gate pppd[1973]: using channel 9
Jul 21 14:18:52 gate pppd[1973]: Using interface ppp0
Jul 21 14:18:52 gate pppd[1973]: Connect: ppp0 <--> /dev/ttyS0
Jul 21 14:18:52 gate pppd[1973]: sent [LCP ConfReq id=0x1 <mru 576> <asyncmap 
0x0> <auth pap> <magic 0x367daf4> <pcomp>
<accomp>]
Jul 21 14:18:52 gate pppd[1973]: rcvd [LCP ConfAck id=0x1 <mru 576> <asyncmap 
0x0> <auth pap> <magic 0x367daf4> <pcomp>
<accomp>]
Jul 21 14:18:52 gate kernel: divert: not allocating divert_blk for non-
ethernet device ppp0
Jul 21 14:18:52 gate kernel: divert: not allocating divert_blk for non-
ethernet device ppp0
--- см. строки выше: так должно быть?  -----

Jul 21 14:18:55 gate pppd[1973]: rcvd [LCP ConfReq id=0x2 <asyncmap 0x0> 
<magic 0x461f164a> <pcomp> <accomp> <callback CBCP>]
Jul 21 14:18:55 gate pppd[1973]: sent [LCP ConfAck id=0x2 <asyncmap 0x0> 
<magic 0x461f164a> <pcomp> <accomp> <callback CBCP>]
Jul 21 14:18:55 gate pppd[1973]: sent [LCP EchoReq id=0x0 magic=0x367daf4]
Jul 21 14:18:55 gate pppd[1973]: cbcp_lowerup
Jul 21 14:18:55 gate pppd[1973]: want: 0
Jul 21 14:18:55 gate pppd[1973]: rcvd [LCP code=0xc id=0x3 46 1f 16 4a 4d 53 
52 41 53 56 35 2e 31 30]
Jul 21 14:18:55 gate pppd[1973]: sent [LCP CodeRej id=0x2 0c 03 00 12 46 1f 16 
4a 4d 53 52 41 53 56 35 2e 31 30]
Jul 21 14:18:55 gate pppd[1973]: rcvd [LCP code=0xc id=0x4 46 1f 16 4a 4d 53 
52 41 53 2d 30 2d 4a 55 4e 49 4f 52]
Jul 21 14:18:55 gate pppd[1973]: sent [LCP CodeRej id=0x3 0c 04 00 16 46 1f 16 
4a 4d 53 52 41 53 2d 30 2d 4a 55 4e 49 4f 52]
Jul 21 14:18:55 gate pppd[1973]: rcvd [PAP AuthReq id=0x22 user="junior" 
password=<hidden>]
Jul 21 14:18:55 gate pam_tcb[1973]: ppp: Authentication passed for junior from 
a_ppp(uid=0)
Jul 21 14:18:55 gate pam_tcb[1973]: ppp: Session opened for junior by a_ppp
(uid=0)
Jul 21 14:18:55 gate pam_limits[1973]: checking if junior is in group root
Jul 21 14:18:55 gate pppd[1973]: user junior logged in
Jul 21 14:18:55 gate pppd[1973]: PAP peer authentication succeeded for junior
Jul 21 14:19:05 gate pppd[1973]: LCP terminated by peer (F^_^VJ^@<M-Mt^@^@^@^@)
Jul 21 14:19:06 gate pppd[1973]: Hangup (SIGHUP)
Jul 21 14:19:06 gate pppd[1973]: Modem hangup
Jul 21 14:19:06 gate pam_tcb[1973]: ppp: Session closed for junior
Jul 21 14:19:06 gate pppd[1973]: Connection terminated.
Jul 21 14:19:06 gate pppd[1973]: Connect time 0.3 minutes.
Jul 21 14:19:06 gate pppd[1973]: Sent 0 bytes, received 0 bytes.
Jul 21 14:19:06 gate pppd[1973]: tcgetattr: No such device or address (line 
906)
Jul 21 14:19:06 gate pppd[1973]: Connect time 0.3 minutes.
Jul 21 14:19:06 gate pppd[1973]: Sent 0 bytes, received 0 bytes.
Jul 21 14:19:06 gate pppd[1973]: tcsetattr: No such device or address (line 
1000)
Jul 21 14:19:06 gate pppd[1973]: Exit.
Jul 21 14:19:06 gate kernel: divert: no divert_blk to free, ppp0 not ethernet
------- Comment #1 From 2005-09-28 13:14:06 -------
reassign
------- Comment #2 From 2007-12-08 20:24:55 -------
Боюсь, для M24 эту ошибку уже никто исправлять не будет -- но спасибо за
наводку
по сборкам ядер.

Если есть возможность и интерес -- подпишитесь на #11110 и проверьте на текущих
ядрах (2.6.18) и ppp (2.4.4-alt6+).